# iva_calculador.py
def calcular_iva(opcion, valor):
    try:
        valor = float(valor)
    except ValueError:
        return {"Error": "Ingrese un valor numérico válido."}

    if opcion == 'base':
        base = valor
        iva = round(base * 0.16, 2)  # Suponiendo una tasa de IVA del 16%
        total = round(base + iva, 2)
    elif opcion == 'total':
        total = valor
        base = round(total / 1.16, 2)  
        iva = round(total - base, 2)
    elif opcion == 'iva':
        iva = valor
        base = round(iva / 0.16, 2)
        total = round(base + iva , 2)
    else:
        return {"Error": "Opción no válida. Debes seleccionar 'base', 'total' o 'iva'."}

    return {"Subtotal": base, "IVA": iva, "Total": total}