# resico.py
def calcular_resico(opcion, valor):
    try:
        valor = float(valor)
    except ValueError:
        return "Error: Ingrese un valor numérico válido."

    if opcion == 'base':
        base = valor
        iva = round(base * 0.16, 2)  # Suponiendo una tasa de IVA del 16%
        retencion_isr = round(base * 0.0125, 2)  # Retención ISR del 1.25%
        base_resultado = base  
        total_pagar = round(base + iva - retencion_isr, 2)
    elif opcion == 'total':
        total_pagar = valor
        base_resultado = round(total_pagar / 1.1475, 2)
        iva = round(base_resultado * 0.16, 2)
        retencion_isr = round(base_resultado * 0.0125, 2)  # Retención ISR del 1.25%
    elif opcion == 'retencion':
        retencion_isr = valor
        base_resultado = round(retencion_isr / 0.0125, 2)
        iva = round(base_resultado * 0.16, 2)
        total_pagar = round(base_resultado + iva - retencion_isr, 2)
    elif opcion == 'iva':
        iva = valor
        base_resultado = round(iva / 0.16, 2)
        retencion_isr = round(base_resultado * 0.0125, 2)  # Retención ISR del 1.25%
        total_pagar = round(base_resultado + iva - retencion_isr, 2)
    else:
        return "Opción no válida. Debes seleccionar 'base', 'total', 'retencion' o 'iva'."

    resultado = {
        "Base": base_resultado,  
        "IVA": iva,
        "Retencion_ISR": retencion_isr,
        "Total_Pagar": total_pagar
    }

    return resultado
