def calcular_isr(ingreso, tipo):
    try:
        ingreso = float(ingreso)
    except ValueError:
        return {"error": "El ingreso debe ser un valor numérico."}

    if tipo == 'mensual':
        if ingreso <= 25000:
            tasa = 0.01
            mensaje = 'Tasa aplicada: 1.00% (Ingreso mensual hasta $25,000)'
        elif ingreso <= 50000:
            tasa = 0.011
            mensaje = 'Tasa aplicada: 1.10% (Ingreso mensual hasta $50,000)'
        elif ingreso <= 83333:
            tasa = 0.015
            mensaje = 'Tasa aplicada: 1.50% (Ingreso mensual hasta $83,333)'
        elif ingreso <= 208333:
            tasa = 0.02
            mensaje = 'Tasa aplicada: 2.00% (Ingreso mensual hasta $208,333)'
        elif ingreso <= 3500000:
            tasa = 0.025
            mensaje = 'Tasa aplicada: 2.50% (Ingreso mensual hasta $3,500,000)'
        else:
            return {'error': 'Ingresos mensuales fuera de rango'}
    elif tipo == 'anual':
        if ingreso <= 300000:
            tasa = 0.01
            mensaje = 'Tasa aplicada: 1.00% (Ingreso anual hasta $300,000)'
        elif ingreso <= 600000:
            tasa = 0.011
            mensaje = 'Tasa aplicada: 1.10% (Ingreso anual hasta $600,000)'
        elif ingreso <= 1000000:
            tasa = 0.015
            mensaje = 'Tasa aplicada: 1.50% (Ingreso anual hasta $1,000,000)'
        elif ingreso <= 2500000:
            tasa = 0.02
            mensaje = 'Tasa aplicada: 2.00% (Ingreso anual hasta $2,500,000)'
        elif ingreso <= 3500000:
            tasa = 0.025
            mensaje = 'Tasa aplicada: 2.50% (Ingreso anual hasta $3,500,000)'
        else:
            return {'error': 'Ingresos anuales fuera de rango'}
    else:
        return {'error': 'Tipo de cálculo no válido'}

    isr_por_pagar = round(ingreso * tasa, 2)
    return {'isrPorPagar': isr_por_pagar, 'mensaje': mensaje}
